class Exports
  def method_missing(name, function)
    return unless name.to_s.end_with?('=')
    name = name[0..-2].to_sym
    functions[name] = function
  end

  def import(*keys)
    keys.map { |k| functions[k] }
  end

  def functions
    @functions ||= {}
  end
end
